<?xml version='1.0' encoding='UTF-8'?>
<rougail version="0.10">
  <services>
    <service name="postgresql" target="multi-user">
      <override/>
      <ip ip_type='variable'>accounts.remote_.remote_ip_</ip>
      <file>/etc/postgresql/postgresql.conf</file>
      <file>/etc/postgresql/pg_hba.conf</file>
      <file mode="600" owner="postgres" group="postgres">/etc/postgresql/postgresql.sql</file>
      <file engine="none">/etc/postgresql/pg_ident.conf</file>
      <file engine="none" mode="755">/sbin/postgresql_init</file>
      <file engine="none" source="sysuser-postgresql.conf">/sysusers.d/0postgresql.conf</file>
      <file engine="none" source="tmpfiles.postgresql.conf">/tmpfiles.d/0postgresql.conf</file>
      <file>/etc/pki/ca-trust/source/anchors/ca_PostgreSQL.crt</file>
      <file>/etc/pki/tls/certs/postgresql.crt</file>
      <file owner="root" group="postgres" mode="440">/etc/pki/tls/private/postgresql.key</file>
      <file>/tests/postgresql.yml</file>
    </service>
  </services>
  <variables>
    <family name="postgresql" description="PostgreSQL" help="Paramétrage du serveur de gestion de bases de données PostgreSQL">
      <variable name="pg_max_connections" type="number" description="Nombre maximum de connexions" help="Nombre maximum de connexions concurrentes au serveur de base de données">
        <value>100</value>
      </variable>
      <variable name="pg_authentication_timeout" type="number" description="Délai de connexion maximum (en secondes)" help="Temps maximum pour terminer l'authentification du client">
        <value>60</value>
      </variable>
      <variable name="pg_server_key" type="filename" description="Emplacement de la clé SSL du serveur PostgreSQL">
        <value>/etc/postgresql/12/main/server.key</value>
      </variable>
      <variable name="pg_server_cert" type="filename" description="Emplacement du certificat du serveur PostgreSQL">
        <value>/etc/postgresql/12/main/server.crt</value>
      </variable>
      <variable name="pg_autovacuum" type="boolean" description="Activer le VACUUM automatique"/>
      <variable name="pg_work_mem" type="number" description="Mémoire tampon allouée aux opérations de tri et tables de hash" help="Quantité de mémoire allouée à chaque opération avant écriture sur le disque (par défaut : 4MB)">
        <value>4</value>
      </variable>
      <variable name="pg_work_mem_unit" description="Unité de la mémoire tampon" type="choice">
        <value>MB</value>
        <choice type="string">MB</choice>
        <choice type="string">kB</choice>
      </variable>
      <variable name="pg_maintenance_work_mem" type="number" description="Mémoire tampon allouée pour les opérations de maintenance" help="Quantité de mémoire allouée à chaque opération avant écriture sur le disque (par défaut : 64MB, minimum: 1024kB)">
        <value>64</value>
      </variable>
      <variable name="pg_maintenance_work_mem_unit" description="Unité de la mémoire tampon" type="choice">
        <value>MB</value>
        <choice type="string">MB</choice>
        <choice type="string">kB</choice>
      </variable>
      <variable name="pg_wal_buffers" type="number" description="Mémoire tampon allouée pour les journaux" help="Quantité de mémoire allouée avant écriture sur le disque (par défaut : -1, soit 1/32ème de la valeur de shared_buffers)">
        <value>-1</value>
      </variable>
      <variable name="pg_max_wal_size" type="number" description="Limite douce du Write Ahead Log" help="Limite douce pour le Write Ahead Log">
        <value>1</value>
      </variable>
      <variable name="pg_max_wal_size_unit" description="Unité de la limite douce du Write Ahead Log" type="choice">
        <value>GB</value>
        <choice type="string">GB</choice>
        <choice type="string">MB</choice>
        <choice type="string">kB</choice>
      </variable>
      <variable name="pg_shared_buffers" type="number" description="Quantité de mémoire pour les buffers partagés" help="Quantité de mémoire que le serveur de bases de données utilise comme mémoire partagée">
        <value>128</value>
      </variable>
      <variable name="pg_shared_buffers_unit" description="Unité de la quantité de mémoire pour les buffers partagés" type="choice">
        <value>MB</value>
        <choice type="string">MB</choice>
        <choice type="string">kB</choice>
      </variable>
      <variable name="pg_effective_cache_size" type="number" description="Taille du cache" mandatory="True" help="Initialise l'estimation faite par le planificateur pour le nombre de bloc de 8ko réelle du cache disque disponible pour une requête">
        <value>4</value>
      </variable>
      <variable name="pg_effective_cache_size_unit" description="Unité de la taille du cache" type="choice">
        <value>GB</value>
        <choice type="string">MB</choice>
        <choice type="string">kB</choice>
        <choice type="string">GB</choice>
      </variable>
    </family>
  </variables>
</rougail>
